<?php

// +---------------------------------------------+
// |     Copyright  2010 - 2018 InterPhoto       |
// |     http://www.weensoft.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

include('includes/Admin.Core.php');

CheckAccess('manage');

PrintHeader('Admin Panel Home');

// Should we check for updates?
$updates = ForceInt($mainsettings['siteChecknew']);

$totalimages = $DB->query_first("SELECT COUNT(imageid) AS value FROM " . TABLE_PREFIX . "images");
$noactiveimages = $DB->query_first("SELECT COUNT(imageid) AS value FROM " . TABLE_PREFIX . "images WHERE actived =0 ");
$totalusers = $DB->query_first("SELECT COUNT(userid) AS value FROM " . TABLE_PREFIX . "users");
$noactiveusers = $DB->query_first("SELECT COUNT(userid) AS value FROM " . TABLE_PREFIX . "users WHERE activated =0 ");
$totalcategories = $DB->query_first("SELECT COUNT(categoryid) AS value FROM " . TABLE_PREFIX . "categories");
$noactivecategories = $DB->query_first("SELECT COUNT(categoryid) AS value FROM " . TABLE_PREFIX . "categories WHERE actived =0 ");
$totalcomments = $DB->query_first("SELECT COUNT(commentid) AS value FROM " . TABLE_PREFIX . "comments");
$noactivecomments = $DB->query_first("SELECT COUNT(commentid) AS value FROM " . TABLE_PREFIX . "comments WHERE actived =0 ");
$totalnews = $DB->query_first("SELECT COUNT(newid) AS value FROM " . TABLE_PREFIX . "news");
$noactivenews = $DB->query_first("SELECT COUNT(newid) AS value FROM " . TABLE_PREFIX . "news WHERE actived =0 ");

PrintSection("Welcome!");

echo '<table width="100%" bgcolor="#FCFCFC" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td height="8" background="'.TEMPLATEPATH.'images/section/td1_top.gif"></td>
      </tr>
      <tr>
        <td valign="top" height="180" style="padding-left: 28px; padding-top: 18px;">
          Welcome <font class=ohblueb><u>'.$userinfo['username'].'</u></font> to Admin Panel! For system security, click <a href="index.php?logout=1" target="_parent" onclick="return confirm(\'Are you sure to logout from InterPhoto admin panal?\');"><font class=ohredb><u>Logout</u></font></a> to exit before closing browser!<br /><br />
          Any questions when you use '.APP_NAME.' Gallery, please visit: <a href="http://www.weensoft.com" target="_blank"><font class=weensoft><u>Weensoft</u></font></a>!<br /><br /><br />
          '.APP_NAME.' update information:<br /><br />
      <table>
	  <tr>
		<td width="180" style="padding-left: 36px;"><b>App. Name</b></td>
		<td width="180" align="center" style="padding-right: 10px;"><b>Current Version</b></td>
		<td width="180" align="center" style="padding-right: 10px;"><b>New Version</b></td>
	  </tr>
	  <tr>
		<td style="padding-left: 28px;"><b>'.APP_NAME.' Gallery</b></td>
		<td align="center" style="padding-right: 10px;">' . APP_VERSION . '(UTF-8) Free</td>
		<td align="center" style="padding-right: 10px;"><span id="interphoto_latest_versioninfo"></span></td>
	  </tr></table>
	  <div id="interphoto_latest_moreinfo"></div>';

	if(!$updates)
	{
		echo '<script type="text/javascript">document.getElementById("interphoto_latest_versioninfo").innerHTML = "<font class=ohred>Check new version is off!</font>";</script>';
	}
	else
	{
	  echo '<script language="javascript" type="text/javascript" src="http://www.weensoft.com/interphoto_version/versioninfo_free.js?temp='.rand().'"></script>
			<script type="text/javascript">
			if(typeof(v) == "undefined"){
				document.getElementById("interphoto_latest_versioninfo").innerHTML = "<font class=ohred>Unable to connect!</font>";
			}else{
				var interphoto_old_version = parseInt("' . APP_VERSION . '".replace(/\./g,""));
				var interphoto_latest_version = parseInt(v.replace(/\./g,""));
				
				if(interphoto_old_version < interphoto_latest_version ){
					document.getElementById("interphoto_latest_versioninfo").innerHTML = "<font class=ohred>"+v+"</font>";
					document.getElementById("interphoto_latest_moreinfo").innerHTML = "<br><br>Please login <a href=\"http://www.weensoft.com/forum\" target=\"_blank\">Weensoft</a> to download update package!";
				}else{
					document.getElementById("interphoto_latest_versioninfo").innerHTML = "<font class=ohgreen>No update!</font>";
				}
			
			}
			</script>';
	  
	}

echo '</td>
      </tr>
	  <tr>
        <td valign="top" height="210" style="padding-left: 28px; padding-top: 18px;"><b>Basic Statistics:</b><br /><br />
		  <table>
		  <tr>
			<td style="padding-right: 8px;" height="28">1)</td>
			<td align="right">Total Users:</td>
			<td style="padding-right: 88px;"><font class='.Iif($totalusers['value'], 'ohgreenb').'>'.$totalusers['value'].'</font></td>
			<td align="right">Nonactivated Users:</td>
			<td style="padding-right: 88px;"><font class='.Iif($noactiveusers['value'], 'ohredb').'>'.$noactiveusers['value'].'</font></td>
			<td><a href="admin.users.php" />Activate Users</a></td>
		  </tr>
		  <tr>
			<td height="28">2)</td>
			<td align="right">Total Images:</td>
			<td><font class='.Iif($totalimages['value'], 'ohgreenb').'>'.$totalimages['value'].'</font></td>
			<td align="right">Waiting Verification Images:</td>
			<td><font class='.Iif($noactiveimages['value'], 'ohredb').'>'.$noactiveimages['value'].'</font></td>
			<td><a href="admin.images.php" />Verify Images</a></td>
		  </tr>
		  <tr>
			<td height="28">3)</td>
			<td align="right">Total Categories:</td>
			<td><font class='.Iif($totalcategories['value'], 'ohgreenb').'>'.$totalcategories['value'].'</font></td>
			<td align="right">Offline Categories:</td>
			<td><font class='.Iif($noactivecategories['value'], 'ohredb').'>'.$noactivecategories['value'].'</font></td>
			<td ><a href="admin.icategories.php" />Manage Categories</a></td>
		  </tr>
		  <tr>
			<td height="28">4)</td>
			<td align="right">Total Comments:</td>
			<td><font class='.Iif($totalcomments['value'], 'ohgreenb').'>'.$totalcomments['value'].'</font></td>
			<td align="right">Waiting Verification Comments:</td>
			<td><font class='.Iif($noactivecomments['value'], 'ohredb').'>'.$noactivecomments['value'].'</font></td>
			<td><a href="admin.comments.php" />Verify Comments</a></td>
		  </tr>
		  <tr>
			<td height="28">5)</td>
			<td align="right">Total News:</td>
			<td><font class='.Iif($totalnews['value'], 'ohgreenb').'>'.$totalnews['value'].'</font></td>
			<td align="right">Offline News:</td>
			<td><font class='.Iif($noactivenews['value'], 'ohredb').'>'.$noactivenews['value'].'</font></td>
			<td><a href="admin.news.php" />Manage News</a></td>
		  </tr>
		  </table>
		</td>
	  </tr>
      <tr><td height="6" background="'.TEMPLATEPATH.'images/section/td1_bottom.gif"></td></tr>
      </table>';

EndSection();

PrintFooter();

?>