<?php

// +---------------------------------------------+
// |     Copyright  2010 - 2018 InterPhoto       |
// |     http://www.weensoft.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

if(!defined('INTERPHOTO')) die('File not found!');


// #######################################################

$userid = '';
$userinfo = array();
define('COOKIE_NAME', 'InterPhotoF'.COOKIE_KEY);

$loginusername = ForceIncomingString('loginusername');
$loginpassword = ForceIncomingString('loginpassword');

if(strlen($loginusername) AND strlen($loginpassword))
{
 
	if(!isName($loginusername) OR !isPass($loginpassword)){
		$errortitle = $langs['login'].$sys_langs['error'];
		$errors = $sys_langs['badnameorpass'];
	}else{
		$userid = LoginUser($loginusername, $loginpassword);
		if(empty($userid) OR $userid <= 0 )
		{
			$errors[] = $sys_langs['nouser'];
			$errors[] = $sys_langs['notallowlogin'];
			$errortitle = $langs['login'].$sys_langs['error'];
		}else	{
			CreateSession($userid);
			$DB->query("DELETE FROM " . TABLE_PREFIX . "sessions WHERE location = 0 AND admin = 0 AND lastactivity < " . (time() - 3600));
			///////////////////////////////////// goto url
		}
	}

} else if (ForceIncomingInt('logout') == 1) {

	$sessionid = ForceString(ForceIncomingCookie(COOKIE_NAME));

	if(!empty($sessionid))
	{
		   $DB->query("DELETE FROM " . TABLE_PREFIX . "sessions WHERE sessionid = '$sessionid' ");
	}

	setcookie(COOKIE_NAME, "", 0, "/");
	///////////////////////////////////// goto url

} else {

	$sessionid = ForceString(ForceIncomingCookie(COOKIE_NAME));

	if(!empty($sessionid))
	{
			$sql = "SELECT userid FROM " . TABLE_PREFIX . "sessions
						   WHERE  sessionid    = '$sessionid' AND location = 0 AND admin = 0 AND lastactivity > " . (time() - 3600);

			$session = $DB->query_first($sql);

			if(isset($session))
			{
				$DB->query("UPDATE " . TABLE_PREFIX . "sessions SET lastactivity = " . time() . "  WHERE sessionid    = '$sessionid' ");

				$userid = $session['userid'];
			}else{
				setcookie(COOKIE_NAME, "", 0, "/");
			}
	}

}


if(!empty($userid) AND $userid > 0) {
	$userinfo = GetUserInfo($userid);

	if (!ForceInt($userinfo['allowlogin']) OR !ForceInt($userinfo['activated'])){
		unset($userinfo);
		setcookie(COOKIE_NAME, "", 0, "/");
		header("Location: ".GetUrl('login.php'));
		exit();
	}
}else{
	$userinfo = GetUserInfo(0);
}

unset($userid, $loginusername, $loginpassword, $sessionid);

// ####################################################################

function LoginUser($loginusername, $loginpassword)
{
	global $DB;

	$loginpassword = md5($loginpassword);

	$user = $DB->query_first("SELECT u.userid FROM " . TABLE_PREFIX . "users u LEFT JOIN  " . TABLE_PREFIX . "usergroups ug ON (u.groupid = ug.groupid) WHERE u.username = '$loginusername' AND u.password = '$loginpassword' AND u.activated = 1 AND ug.allowlogin = 1");

	return Iif(isset($user), $user['userid'], 0);
}


function CreateSession($userid)
{
	global $DB;

	$userip = Iif (!empty($_SERVER['REMOTE_ADDR']), $_SERVER['REMOTE_ADDR'], Iif (!empty($_ENV['REMOTE_ADDR']), $_ENV['REMOTE_ADDR'], '127.0.0.1'));
	$userip = addslashes($userip);
	$useragent = substr(addslashes($_SERVER['HTTP_USER_AGENT']), 0, 252);
	$timenow = time();

	$session = array('sessionid'    => md5(uniqid($userid . COOKIE_KEY)),
				   'userid'       => $userid,
				   'ipaddress'    => $userip,
				   'useragent'    => $useragent,
				   'lastactivity' => $timenow);

	$DB->query("REPLACE INTO " . TABLE_PREFIX . "sessions (sessionid, userid, ipaddress, useragent, lastactivity, location, loggedin, admin)
			  VALUES ('" . $session['sessionid'] . "', '" . $session['userid'] . "', '" . $session['ipaddress'] . "', '" . $session['useragent'] . "', '" . $session['lastactivity'] . "', 0,  1, 0) ");
	$DB->query("UPDATE " . TABLE_PREFIX . "users SET lastactivity = " . $timenow . "  WHERE userid    = '$userid' ");

	setcookie(COOKIE_NAME, $session['sessionid'], 0, "/");
}


?>