<?php
error_reporting(E_ALL & ~E_NOTICE);

$rootpath = '../';


// ############################## INCLUDE VERSION ##############################

include('version.php');

// ############################## HEADER AND FOOTER ############################

echo '<html>
      <head>
        <title>InterPhoto Gallery - Installer</title>
        <link rel="stylesheet" href="./styles.css" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      </head>

      <body>

      <table width="480" cellpadding="0" cellspacing="1" border="0" align="center" class="box">
      <tr>
        <td class="title">InterPhoto '.$InterPhotoVersion.' Installer</td>
      </tr>
      <tr>
        <td valign="top" style="padding: 5px;"><br />';

$footer = '</td>
          </tr>
          </table>
          </body>
          </html>';


// ################# CHECK IF WEENCOMPANY IS ALREADY INSTALLED ##################

@include($rootpath . 'config/InterPhoto.config.php');

if(defined('INTERPHOTO'))
{
  echo '<font class=ohredb><b>InterPhoto has been installed!</b></font><br />
        If you hope to delete all data and re-install, please firstly remove InterPhoto.config.php.
        (yourwebsite/config/InterPhoto.config.php)';

  echo $footer;
  exit();
}



// ############################### GET POST VARS ###############################

$servername      = isset($_POST['install']) ? trim($_POST['servername'])      : 'localhost';
$dbname          = isset($_POST['install']) ? trim($_POST['dbname'])          : '';
$dbusername      = isset($_POST['install']) ? trim($_POST['dbusername'])      : '';
$dbpassword      = isset($_POST['install']) ? trim($_POST['dbpassword'])      : '';
$tableprefix     = isset($_POST['install']) ? trim($_POST['tableprefix'])     : 'interp_';

$username        = isset($_POST['install']) ? trim($_POST['username'])        : '';
$password        = isset($_POST['install']) ? trim($_POST['password'])        : '';
$confirmpassword = isset($_POST['install'])? trim($_POST['confirmpassword']) : '';
$email           = isset($_POST['install']) ? trim($_POST['email'])           : '';

if(substr($tableprefix, -1) <> '_'){$tableprefix .= '_';}

// ############################ INSTALL WEENCOMPANY #############################

if(isset($_POST['install']))
{
  // check for errors
  @chmod('../config/', 0777);

  if (!is_writable('../config/'))
    $installerrors[] = 'Please CHMOD config directory to 777';

  if(strlen($username) == 0)	 {
    $installerrors[] = 'Please enter a username for Admin account.';
  }else if(!IsName($username)){
    $installerrors[] = 'The username includes invalid characters.';
  }

  if(strlen($password) == 0)	 {
    $installerrors[] = 'Please enter a password for Admin account.';
  }else if(!IsPass($password)){
    $installerrors[] = 'The password includes invalid characters.';
  }

  if($password != $confirmpassword)
    $installerrors[] = 'The entered confirm password does not match the original password.';

  if(strlen($email) == 0)
    $installerrors[] = 'Please enter an email address for Admin account.';


  // Determine if MySql is installed
  if(function_exists('mysql_connect'))
  {
    // attempt to connect to the database
    if($connection = @MYSQL_CONNECT($servername, $dbusername, $dbpassword))
    {
	  
       $sqlversion = @mysql_get_server_info();
	   if(empty($sqlversion)){$sqlversion='5.0';}
		
       if($sqlversion >= '4.1'){
           mysql_query("set names 'utf8'");
           mysql_query("SET COLLATION_CONNECTION='utf8_general_ci'");
           mysql_query("ALTER DATABASE $dbname DEFAULT CHARACTER SET utf8 COLLATE 'utf8_general_ci'");           
       }

       if($sqlversion >= '5.0') {
           mysql_query("SET sql_mode=''");
       }

      // connected, now lets select the database
      if(!@MYSQL_SELECT_DB($dbname, $connection))
      {
        // The database does not exist... try to create it:
        if(!@DB_Query("CREATE DATABASE $dbname"))
        {
          $installerrors[] = 'Create database "' . $dbname . '" failed! Maybe this user has no access to create database.<br />' . mysql_error();
        }
        else
        {
		   if($sqlversion >= '4.1'){
			   mysql_query("set names 'utf8'");
			   mysql_query("SET COLLATION_CONNECTION='utf8_general_ci'");
			   mysql_query("ALTER DATABASE $dbname DEFAULT CHARACTER SET utf8 COLLATE 'utf8_general_ci'");           
		   }
	
		   if($sqlversion >= '5.0') {
			   mysql_query("SET sql_mode=''");
		   }
          // Success! Database created
          MYSQL_SELECT_DB($dbname, $connection);
        }
      }
    }
    else
    {
      // could not connect
      $installerrors[] = 'Unable to establish a connection to the MySQL server.<br />' . mysql_error();
    }
  }
  else
  {
    // mysql extensions not installed
    $installerrors[] = 'The PHP MySql extension libraries are not installed on this server.';
  }

  if(!isset($installerrors))
  {
		$SqlLines = @file('InterPhoto.sql');
		if (!$SqlLines) {
			$installerrors[] = 'Failed to load database file: install/InterPhoto.sql';
		} else {
			$CurrentQuery = '';
			$CurrentLine = '';
			for ($i = 0; $i < count($SqlLines); $i++) {
				$CurrentLine = trim($SqlLines[$i]);
				if ($CurrentLine == '') {
					if ($CurrentQuery != '') {
						$CurrentQuery = preg_replace('/((TABLE|INTO|IF EXISTS) `)InterPhoto_/', '${1}' . $tableprefix, $CurrentQuery);
						DB_Query($CurrentQuery);
						$CurrentQuery = '';
					}
				} else {
					$CurrentQuery .= $CurrentLine;
				}
			}

			DB_Query("INSERT INTO " . $tableprefix . "users (groupid, activated, username, password, email, joindate) VALUES('4', '1', '$username', '".md5($password)."', '$email', '".time()."') ");
			DB_Query("UPDATE  " . $tableprefix . "mainsettings SET value = '$email' WHERE varname = 'siteEmail'");
			DB_Query("UPDATE  " . $tableprefix . "mainsettings SET value = '$InterPhotoVersion' WHERE varname = 'siteAppVersion'");

		}

	  // write config file last off in case installation fails
	  $configfile="<?php

\$servername  = '$servername';
\$dbname      = '$dbname';
\$dbusername  = '$dbusername';
\$dbpassword  = '$dbpassword';

define('INTERPHOTO', true);
define('TABLE_PREFIX', '".$tableprefix."');
define('COOKIE_KEY', '".PassGen(12)."');
define('WEBSITE_KEY', '".PassGen(12)."');
define('BASEPATH', dirname(dirname(__FILE__)).'/');

?>";

	  // write the config file
	  $filenum = fopen ($rootpath . "config/InterPhoto.config.php","w");
	  ftruncate($filenum, 0);
	  fwrite($filenum, $configfile);
	  fclose($filenum);

	  echo '<font class=ohblueb>Congratulation: Your InterPhoto installed successfully!</font><br /><br />Please remove InterPhoto installation folder firstly(./install/), then continue...
			<br /><br />
			1).&nbsp;<a href="' . $rootpath . 'index.php" target="_blank"><b>Click here to view your new InterPhoto website!</b></a>
			<br /><br />
			2).&nbsp;<a href="' . $rootpath . 'admin/" target="_blank"><b>Click here to enter manage back end!</b></a><br />Re: <font class=ohredb>Renaming the default Admin directory(admin/) is strongly recommended for higher security.</font>';

  }

}

function IsName($name)
{
	$entities_match		= array(',',';','$','!','@','#','%','^','&','*','_','(',')','+','{','}','|',':','"','<','>','?','[',']','\\',"'",'.','/','*','+','~','`','=');
	for ($i = 0; $i<count($entities_match); $i++) {
	     if(strpos($name, $entities_match[$i])){
               return false;
		 }
	}
   return true;
}

function IsPass($pass)
{
   return preg_match("/^[[:alnum:]]+$/i", $pass);
}

function PassGen($length = 8)
{
	$str = 'abcdefghijkmnopqrstuvwxyz0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	for ($i = 0, $passwd = ''; $i < $length; $i++)
		$passwd .= substr($str, mt_rand(0, strlen($str) - 1), 1);
	return $passwd;
}

function DB_Query($sql)
{
  $result = MYSQL_QUERY ($sql);

  if(!$result)
  {
    $message  = "Database Error in InterPhoto\r\n\r\n";
    $message .= $sql . " \r\n";
    $message .= "Error: ". mysql_error() ." \r\n";
    $message .= "Error No: " . mysql_errno() . " \r\n";
    $message .= "Date: ".gmdate("l dS of F Y h:i:s A"). "\r\n";
    $message .= "File: http://".$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];

    echo '<b>Database Error!</b> <br />
          <p><form><textarea rows="28" cols="80">'.htmlspecialchars($message).'</textarea></form></p>';

    exit();
  }  else  {
    return true;
  }
}


// ############################### INSTALL FORM ################################

if(!isset($_POST['install']) OR isset($installerrors))
{
  if(isset($installerrors))
  {
    echo '<table width="97%" border="0" cellpadding="5" cellspacing="0" align="center">
          <tr>
            <td style="border: 1px solid #FF0000; font-size: 12px;" bgcolor="#FFE1E1">
              <u><b>Installation Error!</b></u><br /><br />
              The following errors were found:<br /><br />';

    for($i = 0; $i < count($installerrors); $i++)
    {
      echo '<b>' . ($i + 1) . ') ' . $installerrors[$i] . '</b><br />';
    }

    echo '  </td>
          </tr>
          </table><br /><br />';
  }

  echo '<table width="96%" border="0" cellpadding="0" cellspacing="0" align="center">
		<tr>
		  <td valign="top"></td>
		  <td valign="top" align="right" style="padding-bottom: 3px;"><u>English Version(UTF-8)</u></td>
		</tr>  
        </table>
        <br />
  
      <b>1) Host Database Information:</b><br /><br />
        <form method="post" action="index.php" name="installform">
        <table width="96%" border="0" cellpadding="0" cellspacing="0" align="center">
        <tr>
          <td valign="top">Database Server Hostname:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="text" name="servername" value="' . $servername . '" /></td>
        </tr>
        <tr>
          <td valign="top">Database Name:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="text" name="dbname" value="' . $dbname . '" /></td>
        </tr>
        <tr>
          <td valign="top">Database Username:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="text" name="dbusername" value="' . $dbusername . '" /></td>
        </tr>
        <tr>
          <td valign="top">Database Password:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="password" name="dbpassword" size="21"/></td>
        </tr>
        <tr>
          <td valign="top">Database Table Prefix:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="text" name="tableprefix" value="' . $tableprefix . '" /></td>
        </tr>
        </table>

        <br /><br />

        <b>2) Create your InterPhoto admin account:</b><br /><br />

        <table width="96%" border="0" cellpadding="0" cellspacing="0" align="center">
        <tr>
          <td valign="top">Username:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="text" name="username" value="' . $username . '" /></td>
        </tr>
        <tr>
          <td valign="top">Password:</td>
          <td valign="top" align="right" style="padding-bottom: 3px;"><input type="password" name="password" size="21"/></td>
        </tr>
        <tr>
          <td valign="top">Confirm Password:</td>
          <td valign="top" align="right" style="padding-bottom: 6px;"><input type="password" name="confirmpassword" size="21"/></td>
        </tr>
        <tr>
          <td valign="top">Admin Email:</td>
          <td valign="top" align="right" style="padding-bottom: 18px;"><input type="text" name="email" value="' . $email . '" /></td>
        </tr>
        <tr>
          <td colspan="2" align="center"><input type="submit" name="install" value="Install InterPhoto" class="submit" /></td>
        </tr>
        </table>

        </form>';
}



// ############################### PRINT FOOTER ################################

echo $footer;

?>