<?php

// +---------------------------------------------+
// |     Copyright  2010 - 2018 InterPhoto       |
// |     http://www.weensoft.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+


define('IN_GETPASS', true);

include('includes/Admin.Core.php');

if($needDeleteInstall)
{
  $logininfo ='Info: Please delete the install directory(./install/) before continuing!';
  $disabled =  ' disabled="disabled" style="cursor:default;"';
}else{
  $inputfocus = 'onLoad="document.forms.wcloginform.useremail.focus()"';
  $logininfo = '';
}

$this_full_url = BASEURL . substr(str_replace(dirname(dirname(__FILE__)), '', dirname(__FILE__)), 1);


if (IsPost('Submit'))
{
	$email = ForceIncomingString('useremail');

	if (empty($email))
		$logininfo  = '';
	elseif (!IsEmail($email))
		$logininfo  = 'Email address is invalid!';
	else
	{
		$user = $DB->query_first("SELECT u.username, u.password FROM " . TABLE_PREFIX . "users u LEFT JOIN  " . TABLE_PREFIX . "usergroups ug ON (u.groupid = ug.groupid) WHERE u.email = '$email'  AND u.activated = 1 AND ug.manage = 1");

		if(!isset($user)){
			$logininfo = 'User does not exist or not an Admin!';
		}else{
			$verifycode = PassGen(8);

			require_once (BASEPATH. 'library/phpmailer/class.phpmailer.php');

			$mail = new PHPMailer();

			if($mainsettings['siteUseSmtp'] == '1')
				$mail->IsSMTP();
			else
				$mail->IsMail();

			$mail->Host =  $mainsettings['siteSmtpHost'];
			$mail->Port = $mainsettings['siteSmtpPort'];

			$mail->SMTPAuth = true;
			$mail->Username = $mainsettings['siteSmtpUser'];
			$mail->Password = $mainsettings['siteSmtpPassword'];

			$mail->From      =  $mainsettings['siteEmail'];
			$mail->FromName      =  $mainsettings['siteCopyright'];
			$mail->AddReplyTo ($mainsettings['siteEmail'], $mainsettings['siteCopyright']);   
			$mail->Sender      =  $mainsettings['siteSmtpEmail'];
			
			$mail->Subject  = 'Admin get back password';
			$message        = "\r\nClick this link below to reset password:\r\n\r\n";
			$message       .= "<a href=\"" . $this_full_url . "/admin.getpass.php?key=".base64_encode($email)."&sid=" . md5($user['username'] .COOKIE_KEY.$user['password'].$verifycode) . "\" target=\"_blank\">" .$this_full_url . "/admin.getpass.php?key=".base64_encode($email)."&sid=" . md5($user['username'] .COOKIE_KEY.$user['password'].$verifycode) . "</a>\r\n";
			$mail->Body     = nl2br($message);
			$mail->AddAddress($email);

			if($mail->Send()){
				$DB->query("UPDATE " . TABLE_PREFIX . "users SET verifycode = '$verifycode' WHERE email = '$email'");
				$logininfo = '<font color="#339900"><b>An email has been sent to your address, check please!</b></font>';
			}else{
				$logininfo = $mail->ErrorInfo;
			}

		}
	}
}

if (IsGet('sid') AND IsGet('key'))
{
	$email = base64_decode(ForceIncomingString('key'));
	$sid = ForceIncomingString('sid');

	if(isEmail($email) AND isName($sid)){

		$user = $DB->query_first("SELECT u.userid, u.username, u.password, u.verifycode FROM " . TABLE_PREFIX . "users u LEFT JOIN  " . TABLE_PREFIX . "usergroups ug ON (u.groupid = ug.groupid) WHERE u.email = '$email'  AND u.activated = 1 AND ug.manage = 1");

		if(isset($user))
		{
			if($sid == md5($user['username'] .COOKIE_KEY.$user['password'].$user['verifycode']))
			{

				$pwd = PassGen(8);

				$result = $DB->query("UPDATE " . TABLE_PREFIX . "users SET password    = '".md5($pwd)."'							 
														   WHERE userid = '$user[userid]' ");

				if (!isset($result)){
					$logininfo = 'Errors occured when resetting password, please try again!';
				}else{

					$DB->query("UPDATE " . TABLE_PREFIX . "users SET verifycode = '' WHERE userid = '$user[userid]' ");

					require_once (BASEPATH. 'library/phpmailer/class.phpmailer.php');

					$mail = new PHPMailer();

					if($mainsettings['siteUseSmtp'] == '1')
						$mail->IsSMTP();
					else
						$mail->IsMail();

					$mail->Host =  $mainsettings['siteSmtpHost'];
					$mail->Port = $mainsettings['siteSmtpPort'];

					$mail->SMTPAuth = true;
					$mail->Username = $mainsettings['siteSmtpUser'];
					$mail->Password = $mainsettings['siteSmtpPassword'];

					$mail->From      =  $mainsettings['siteEmail'];
					$mail->FromName      =  $mainsettings['siteCopyright'];
					$mail->AddReplyTo ($mainsettings['siteEmail'], $mainsettings['siteCopyright']);   
					$mail->Sender      =  $mainsettings['siteSmtpEmail'];
					
					$mail->Subject  = 'Admin new password';
					$message        = "\r\nUsername: " .$user['username']. "\r\n\r\n";
					$message       .= "Password: " .$pwd. "\r\n";
					$mail->Body     = nl2br($message);
					$mail->AddAddress($email);

					if($mail->Send()){
						$logininfo = '<font color="#339900"><b>New password has been sent to your email address, check please!</b></font>';
					}else{
						$logininfo = '<font color="#339900"><b>Your username: '.$user['username']. '&nbsp;&nbsp;Your password: '.$pwd . '</b></font>';
					}

				}

			}else{
				$logininfo = 'Error occured when resetting password: verification code invalid!';
			}

		}else{
			$logininfo = 'Error occured when resetting password: verification code invalid!';
		}

	}else{
		$logininfo = 'Error occured when resetting password: verification code invalid!';
	}

}

echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
	<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<title>InterPhoto Gallery - Get Back Password</title>
	<link rel="stylesheet" type="text/css" href=\'./templates/login.css\' />
	<SCRIPT LANGUAGE="JAVASCRIPT" TYPE="TEXT/JAVASCRIPT">
	<!--
	if(top.location != self.location)
	{
	  top.location.replace(self.location)
	}
	-->
	</SCRIPT>

	</head>

	<body id="page-login" '. $inputfocus .' >
	<div class="login-container">
	<div class="login-box">
		<form action="admin.getpass.php" method="post" name="wcloginform">
			<fieldset class="login-form">
				<h2>InterPhoto Gallery - Getback Password</h2>
				<div id="messages">' . $logininfo . '</div>
				<div class="input-box input-left"><label for="username">Admin Email:</label><br/>
					<input type="text" id="username" name="useremail" value="" class="required-entry input-text" '.$disabled .'/></div>
				<div class="input-box input-right"><label for="login">Password:</label><br/>
					<input type="password" id="login" name="loginpassword" class="required-entry input-text"  value="i forgot" disabled="disabled" style="cursor:default;" /></div>
				<div class="clear"></div>
				<div class="form-buttons" style="margin-right:8px;"><input type="submit" name="Submit" class="form-button" value="Get Back" '.$disabled .'/></div>
				 <div style="margin-left:8px;"><a href="./" target="_parent" class="normal">Back to login?</a>&nbsp;</div>
		   </fieldset>
			<p class="legal" align="right"><a href="http://www.weensoft.com" target="_blank" class="normal">Weensoft</a> <font color=#FF9900>&copy;</font><font class="copyright">'.date("Y").'</font>&nbsp;</p>
		</form>
		<div class="bottom"></div>
	</div>
	</div>
</body>
</html>';

$DB->close();

?>