<?php

// +---------------------------------------------+
// |     Copyright  2010 - 2018 InterPhoto       |
// |     http://www.weensoft.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

include('includes/Admin.Core.php');

CheckAccess('manageusergroup');


PrintHeader('Usergroups');


$action = ForceIncomingString('action', 'displaydefault');

$dontdeleteids = array(1, 2, 3, 4);

// ############################## DELETE USERGROUP #############################

if($action == 'deleteusergroup')
{
	$groupid = ForceIncomingInt('groupid');

	if(IsPost('confirmcancel'))
	{
		$action = 'displaydefault';

	}else if(IsPost('confirmdelete'))	{
		if(!in_array($groupid, $dontdeleteids)){
			$DB->query("DELETE FROM " . TABLE_PREFIX . "usergroups WHERE groupid = '" . $groupid . "'");
			$DB->query("UPDATE " . TABLE_PREFIX . "users SET groupid = 3 WHERE groupid = '" . $groupid . "'");
		}

		PrintRedirect('admin.usergroups.php', 1);
	}else{

		$usergroup = $DB->query_first("SELECT name FROM " . TABLE_PREFIX . "usergroups WHERE groupid = $groupid");

		PrintSection('Delete Usergroup');

		echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
		<tr><td class="tdrow1" colspan="2">Confirm Delete</td></tr>
		<tr>
		<td class="tdrow2" width="60%" valign="top"><b>Are sure to delete this usergroup "<font class=ohredb>' . $usergroup['name'] . '</font>" ?</b><br /><br />
		Re: if a usergroup deleted, all users belong to this group will be moved to "<font class=ohblueb>Member</font>" group.</td>
		<td class="tdrow3" valign="top">
		<form method="post" action="admin.usergroups.php">
		<input type="hidden" name="groupid" value="' . $groupid . '" />
		<input type="hidden" name="action" value="deleteusergroup" />
		<input type="submit" name="confirmdelete" value=" Delete " />&nbsp;&nbsp;
		<input type="submit" name="confirmcancel" value=" Cancel " />
		</form>
		</td>
		</tr>
		</table>';
		EndSection();

	}

}



// ############################# INSERT OR EDIT USERGROUP ###########################

if($action == 'insertusergroup' OR $action == 'updateusergroup')
{
	$groupid = ForceIncomingInt('groupid');
	$name  = ForceIncomingString('name');
	$allowview = ForceIncomingInt('allowview');
	$allowlogin = ForceIncomingInt('allowlogin');
	$allowupload = ForceIncomingInt('allowupload');
	$allowcomment = ForceIncomingInt('allowcomment');
	$allowdownload = ForceIncomingInt('allowdownload');
	$allowdelete = ForceIncomingInt('allowdelete');
	$allowuploadshow = ForceIncomingInt('allowuploadshow');
	$allowcommentshow = ForceIncomingInt('allowcommentshow');

	$manage = ForceIncomingInt('manage');
	$managesetting = ForceIncomingInt('managesetting');
	$managecomment = ForceIncomingInt('managecomment');
	$managecategory = ForceIncomingInt('managecategory');
	$manageuser = ForceIncomingInt('manageuser');
	$manageusergroup = ForceIncomingInt('manageusergroup');
	$managenews = ForceIncomingInt('managenews');
	$managenotice = ForceIncomingInt('managenotice');
	$managelanguage = ForceIncomingInt('managelanguage');
	$manageimage = ForceIncomingInt('manageimage');
	$managedatabase = ForceIncomingInt('managedatabase');
	$managetemplate = ForceIncomingInt('managetemplate');
	$manageupgrade = ForceIncomingInt('manageupgrade');

	if ($name == '')
	{
		$errors = "The usergroup name is empty!";
	}

	if($errors){

		if($action == 'insertusergroup'){
			PrintErrors($errors, 'Create Usergroup Error');
			$action = 'createusergroup';
		}else if($action == 'updateusergroup'){
			PrintErrors($errors, 'Edit Usergroup Error');
			$action = 'editusergroup';
		}

	}else{
		if($action == 'insertusergroup'){
			$DB->query("INSERT INTO " . TABLE_PREFIX . "usergroups VALUES (NULL, '$name', '$allowview', '$allowlogin', '$allowupload', '$allowcomment', '$allowdownload', '$allowdelete', '$allowuploadshow', '$allowcommentshow', '$manage', '$managesetting', '$managecomment', '$managecategory', '$manageuser', '$manageusergroup', '$managenews', '$managenotice', '$managelanguage', '$manageimage', '$managedatabase', '$managetemplate', '$manageupgrade') ");
		}else if($action == 'updateusergroup'){
			$DB->query("UPDATE " . TABLE_PREFIX . "usergroups SET 
			name= '$name',
			allowview     = '$allowview',
			allowlogin     = '$allowlogin',
			allowupload     = '$allowupload',
			allowcomment     = '$allowcomment',
			allowdownload     = '$allowdownload',
			allowdelete     = '$allowdelete',
			allowuploadshow     = '$allowuploadshow',
			allowcommentshow     = '$allowcommentshow',
			manage     = '$manage',
			managesetting     = '$managesetting',
			managecomment     = '$managecomment',
			managecategory     = '$managecategory',
			manageuser     = '$manageuser',
			manageusergroup     = '$manageusergroup',
			managenews     = '$managenews',
			managenotice     = '$managenotice',
			managelanguage     = '$managelanguage',
			manageimage     = '$manageimage',
			managedatabase     = '$managedatabase',
			managetemplate    = '$managetemplate',
			manageupgrade     = '$manageupgrade'
			WHERE groupid           = '$groupid'");
		}

		PrintRedirect('admin.usergroups.php', 1);
	}

}

// ############################## DISPLAY DEFAULT ##############################

if($action == 'displaydefault')
{
	$getusergroups = $DB->query("SELECT groupid, name FROM " . TABLE_PREFIX . "usergroups ORDER BY groupid");

	PrintSection('Create Usergroup');
	echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
	<tr>
	<td class="tdrow2" width="60%">Create a new usergroup:</td>
	<td class="tdrow3">
	<form method="post" action="admin.usergroups.php">
	<input type="hidden" name="action" value="createusergroup" />
	<input type="submit" value="Create Usergroup" />
	</form>
	</td>
	</tr>
	</table>';
	EndSection();

	PrintSection('Current Usergroups');

	echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
	<tr>
	<td class="tdrow1">Group Name</td>
	<td class="tdrow1">Group Users</td>
	<td class="tdrow1">Delete</td>
	</tr>';

    while($usergroup = $DB->getrow($getusergroups))
    {
		$totalusergroupusers = $DB->query_first("SELECT COUNT(userid) AS value FROM " . TABLE_PREFIX . "users WHERE groupid = '" . $usergroup['groupid'] . "'");

		echo '<tr>
		<td class="tdrow2"><a href="admin.usergroups.php?action=editusergroup&groupid=' . $usergroup['groupid'] . '">' . $usergroup['name'] . '</a>&nbsp;(ID: '.$usergroup['groupid'].')</td>
		<td class="tdrow3">' . $totalusergroupusers['value'] . '</td>
		<td class="tdrow2">' . Iif(in_array($usergroup['groupid'], $dontdeleteids), '<img src="' . TEMPLATEPATH . 'images/notrash.gif" />', '<a href="admin.usergroups.php?action=deleteusergroup&groupid=' . $usergroup['groupid'] . '"><img src="' . TEMPLATEPATH . 'images/trash.gif" /></a>') . '</td>
		</tr>';
    }


	echo '</table>';
	EndSection();
}


// ########################## DISPLAY USERGROUP FORM ###########################

if($action == 'createusergroup' OR $action == 'editusergroup')
{
	if(isset($errors))
	{
		$usergroup = array('groupid'   => $groupid,
		'name'   => $name,
		'allowview'     => $allowview,
		'allowlogin'     => $allowlogin,
		'allowupload'     => $allowupload,
		'allowcomment'     => $allowcomment,
		'allowdownload'     => $allowdownload,
		'allowdelete'     => $allowdelete,
		'allowuploadshow'     => $allowuploadshow,
		'allowcommentshow'     => $allowcommentshow,
		'manage'     => $manage,
		'managesetting'     => $managesetting,
		'managecomment'     => $managecomment,
		'managecategory'     => $managecategory,
		'manageuser'     => $manageuser,
		'manageusergroup'     => $manageusergroup,
		'managenews'     => $managenews,
		'managenotice'     => $managenotice,
		'managelanguage'     => $managelanguage,
		'manageimage'     => $manageimage,
		'managedatabase'     => $managedatabase,
		'managetemplate'     => $managetemplate,
		'manageupgrade'     => $manageupgrade);

	}else if($action == 'editusergroup'){
		$groupid = ForceIncomingInt('groupid');
		$usergroup = $DB->query_first("SELECT * FROM " . TABLE_PREFIX . "usergroups WHERE groupid = '$groupid'");
	}else{
		$usergroup = array();
	}

	if($groupid)
	{
		PrintSection('Edit Usergroup: ' . $usergroup['name']);
	}else{
		PrintSection('Create Usergroup');
	}

	echo '<form method="post" action="admin.usergroups.php" name="usergroups">
	<input type="hidden" name="action" value="' . Iif($action == 'createusergroup', 'insertusergroup', 'updateusergroup') . '" />
	<input type="hidden" name="groupid" value="' . $usergroup['groupid'] . '" />

	<table width="100%" border="0" cellpadding="5" cellspacing="0">
	<tr>
	<td class="tdrow1" colspan="2">Group Name</td>
	</tr>
	<tr>
	<td class="tdrow2" width="50%">Enter a name for this usergroup(<font class=ohred>Required</font>):</td>
	<td class="tdrow3"><input type="text" name="name" value="' . $usergroup['name'] . '"  size="30" /></td>
	</tr></table>';
	EndSection();


	PrintSection('Front End Permissions');
	echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
	<tr><td class="tdrow3"><input type="checkbox" name="allowlogin" value="1" ' . Iif($usergroup['allowlogin'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Sign-in</b>: Can sign-in the front end of your site.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowview" value="1" ' . Iif($usergroup['allowview'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>View</b>: Can view the big images of your site.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowupload" value="1" ' . Iif($usergroup['allowupload'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Upload</b>: Can upload images to your site.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowuploadshow" value="1" ' . Iif($usergroup['allowuploadshow'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Show Right-Now</b>: The images uploaded by the users of this group do not wait Admim\'s verification.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowdelete" value="1" ' . Iif($usergroup['allowdelete'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Delete</b>: The users of this group can delete the images of themselves.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowdownload" value="1" ' . Iif($usergroup['allowdownload'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Download</b>: Can download original image files with no watermark(<font class=ohred>except the images for sale</font>).</td>
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowcomment" value="1" ' . Iif($usergroup['allowcomment'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Post Comment</b>: Can post comments.</td>	
	</tr>
	<tr><td class="tdrow3"><input type="checkbox" name="allowcommentshow" value="1" ' . Iif($usergroup['allowcommentshow'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<b>Comment Show Right-Now</b>: The comments posted by the users of this group do not wait Admim\'s verification.</td>	
	</tr>
	</table>';
	EndSection();


	PrintSection('<font class="ohblueb">Back End Permissions</font>');
	echo '<table width="100%" border="0" cellpadding="5" cellspacing="0">
	<tr><td class="tdrow2"><input type="checkbox" name="manage" value="1" ' . Iif($usergroup['manage'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Can Login to Admin Panel</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managesetting" value="1" ' . Iif($usergroup['managesetting'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Config Settings</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="manageuser" value="1" ' . Iif($usergroup['manageuser'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Users</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="manageusergroup" value="1" ' . Iif($usergroup['manageusergroup'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Usergroups</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="manageimage" value="1" ' . Iif($usergroup['manageimage'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Images</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managecategory" value="1" ' . Iif($usergroup['managecategory'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Categories</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managetemplate" value="1" ' . Iif($usergroup['managetemplate'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Templates</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managelanguage" value="1" ' . Iif($usergroup['managelanguage'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Languages</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managenews" value="1" ' . Iif($usergroup['managenews'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Contents</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managenotice" value="1" ' . Iif($usergroup['managenotice'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Notices</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managecomment" value="1" ' . Iif($usergroup['managecomment'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Manage Comments</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="managedatabase" value="1" ' . Iif($usergroup['managedatabase'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Maintain Database</font></td>	
	</tr>
	<tr><td class="tdrow2"><input type="checkbox" name="manageupgrade" value="1" ' . Iif($usergroup['manageupgrade'] == 1, ' checked="checked"') .' />&nbsp;&nbsp;<font class=ohblueb>Upgrade System</font></td>	
	</tr>
	</table>';
	EndSection();

	echo '<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
	<td align="center"><input type="submit" name="" value="' . Iif($action == 'createusergroup', 'Create Usergroup', 'Save Usergroup') . '" />
	</tr>
	</table>
	</form>';
  

}

// ############################### PRINT FOOTER ################################

PrintFooter();

?>