<?php

// +---------------------------------------------+
// |     Copyright  2010 - 2018 InterPhoto       |
// |     http://www.weensoft.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+


if(!defined('INTERPHOTO')) die('File not found!');

// ############## LANGS ARRAY FOR SMARTY TEMPLATES ##########################

$langs = array();

$langs['home'] = '首页';
$langs['webnews'] = '网站新闻';
$langs['about'] = '关于我们';
$langs['contact'] = '联系我们';
$langs['yourposition'] = '您的位置:';
$langs['username'] = '用户名';
$langs['password'] = '密码';
$langs['joinnow'] = '立即注册?';
$langs['getbackpass'] = '找回密码';
$langs['login'] = '登录';
$langs['logout'] = '退出?';
$langs['welcome'] = '欢迎';
$langs['mydesk'] = '我的工作台';
$langs['adv'] = '广告:';
$langs['advertisement'] = 'InterPhoto致力于最专业的图片网站管理系统!';
$langs['signup'] = '用户登录';
$langs['register'] = '注册';
$langs['must'] = '必填项';
$langs['submit'] = '提交';
$langs['publish'] = '发表';
$langs['edit'] = '编辑';
$langs['member'] = '会员';
$langs['user'] = '用户';
$langs['userinfo'] = '个人信息';
$langs['my'] = '我的';
$langs['browse'] = '浏览';
$langs['guest'] = '游客';
$langs['author'] = '发布人';
$langs['comment'] = '评论';
$langs['cauthor'] = '评论人';
$langs['content'] = '内容';
$langs['time'] = '时间';
$langs['chinese'] = '中文';
$langs['english'] = '英文';

$langs['title'] = '标题';
$langs['image'] = '图片';
$langs['thumbnail'] = '缩图';
$langs['status'] = '状态';
$langs['statusonline'] = '发布';
$langs['statusoffline'] = '待审';
$langs['date'] = '日期';
$langs['delete'] = '删除';
$langs['category'] = '目录';
$langs['notitle'] = '无标题';
$langs['nodescription'] = '暂无图片说明.';
$langs['hits'] = '点击';
$langs['downloads']	= '下载';
$langs['search'] = '搜索';
$langs['results'] = '个结果';
$langs['perpage'] = '每页';
$langs['timesortup'] = '时间升序';
$langs['timesortdown'] = '时间降序';
$langs['timedefault'] = '按时间排序';
$langs['viewsortup'] = '点击次数升序';
$langs['viewsortdown'] = '点击次数降序';
$langs['viewdefault'] = '按点击次数排序';
$langs['downsortup'] = '下载次数升序';
$langs['downsortdown'] = '下载次数降序';
$langs['downdefault'] = '按下载次数排序';
$langs['randompics'] = '图片展示';
$langs['newpics'] = '最新图片';
$langs['download']	= '下载';
$langs['original']	= '原始';
$langs['clickfor']	= '点击';
$langs['filesize']	= '文件大小';
$langs['imagesize']	= '图片尺寸';
$langs['pixel']	= '像素';
$langs['next']	= '下一张';
$langs['prev']	= '上一张';

$langs['nav'] = '&rArr;';  //导航栏连接字符

$langs['userpanel'] = '控制面板';
$langs['manage'] = '管理';
$langs['usergroup'] = '所属用户组';
$langs['userstatus'] = '帐号状态';
$langs['userjoindate'] = '注册日期';
$langs['userlogindate'] = '最后登录';
$langs['userimages'] = '共有图片数';
$langs['useracitveimages'] = '已审核通过';
$langs['usernoacitveimages'] = '待审图片数';
$langs['activated'] = '已激活';
$langs['authorities'] = '权限';
$langs['allowlogin'] = '允许登录网站';
$langs['allowview'] = '允许浏览图片大图';
$langs['allowupload'] = '允许发表图片';
$langs['allowuploadshow'] = '允许发表图片后立即显示';
$langs['allowcomment'] = '允许发表评论';
$langs['allowcommentshow'] = '允许发表评论后立即显示';
$langs['allowdelete'] = '允许删除自己的图片';
$langs['allowdownload'] = '允许下载原始图片';
$langs['confirmdelete'] = '确定删除所选图片吗?';

$langs['repassword'] = '重复密码';
$langs['email'] = 'Email地址';
$langs['verifycode'] = '验证码';

$langs['fullname'] = '真实姓名';
$langs['company'] = '单位名称';
$langs['address'] = '通信地址';
$langs['postcode'] = '邮编';
$langs['tel'] = '电话';
$langs['fax'] = '传真';
$langs['online'] = '在线联系';
$langs['website'] = '网址';
$langs['trueemail'] = '注: 请填写真实有效的Email地址, 以便激活您的帐号.';
$langs['agreeterms'] = '我已阅并同意:';
$langs['terms'] = '服务条款';
$langs['editpassnote'] = '注: 不修改请留空';
$langs['editdetailsnote'] = '以下用户信息将会公开, 谨慎填写:';

$langs['upload'] = '上传';
$langs['onlyjpgfile'] = '注: 仅允许上传JPG类型的图片文件';
$langs['belongto'] = '所属';
$langs['description'] = '说明';
$langs['meta'] = 'Meta关键字';
$langs['linkurl'] = '链接URL';
$langs['forsale'] = '用于销售';
$langs['forsalenote'] = '当选择用于销售时, 此图片将显示其价格, 自动添加大图水印而且不允许任何用户组下载.';
$langs['price'] = '价格';
$langs['yes'] = '是';
$langs['no'] = '否';

$langs['nonews'] = '暂无任何新闻内容.';

$langs['nopermissioncomment'] = '您所在的用户组无权发表评论!';
$langs['nopermissiondownload'] = '您所在的用户组无权下载!';
$langs['nocomments'] = '暂无任何评论.';
$langs['totalcomments'] = '已有//1条评论';

// ########################## SYSTEM LANGS ARRAY #############################

$sys_langs = array();

$sys_langs['websiteoffline'] = '网站关闭中';
$sys_langs['system'] = '系统';
$sys_langs['template'] = '模板';
$sys_langs['error'] = '错误';
$sys_langs['please_enter'] = '请输入: ';
$sys_langs['sendemailfailed'] = '邮件发送不成功!';
$sys_langs['loginforview'] = '您需要登录后才能浏览!';
$sys_langs['registeroff'] = '抱歉, 网站已关闭新用户注册!';
$sys_langs['notallowlogin'] = '或者您所有的用户组无权登录!';
$sys_langs['noaccess'] = '您没有权限进行此操作或访问本页面!';
$sys_langs['noaccesstitle'] = '越权访问';
$sys_langs['noaccessdelete'] = '您没有权限删除自己的图片!';
$sys_langs['deletefinished'] = '选定的图片删除成功!';

$sys_langs['notemplatefile']	= '抱歉, 指定加载的模板文件不存在!';
$sys_langs['allcategory'] = '全部目录';
$sys_langs['noimages'] = '未找到任何图片或您所在的用户组无权查看!';
$sys_langs['badnameorpass'] = '用户名或密码存在非法字符!';
$sys_langs['nouser'] = '用户不存在或密码错误!';
$sys_langs['noemail'] = 'Email地址不存在或会员资格被取消!';

$sys_langs['registerfailed'] = '邮件发送不成功, 注册未完成!';
$sys_langs['badusername'] = '用户名存在非法字符!';
$sys_langs['badpassword'] = '密码存在非法字符!';
$sys_langs['bademail'] = 'Email地址不规范!';
$sys_langs['usernamed'] = '用户名已被占用!';
$sys_langs['emailed'] = 'Email地址已注册!';
$sys_langs['passnotsame'] = '密码与重复密码不相同!';
$sys_langs['badvvc'] = '验证码不正确!';
$sys_langs['mustagree'] = '您必须同意服务条款!';
$sys_langs['thanksforregister'] = '感谢您的注册';
$sys_langs['yourusername'] = '您的用户名:';
$sys_langs['yourpassword'] = '您的密码是:';
$sys_langs['registerfinished'] = '您已完成注册, 并成功登录!';
$sys_langs['needadminverify'] = '注册成功, 但需管理员审核后方可拥有会员资格!';
$sys_langs['needemailverify'] = '一封确认邮件已发送到您的邮箱, 请点击其中的链接完成注册!';

$sys_langs['clickforverify'] = '请点击下面的链接完成注册:';
$sys_langs['registerverify'] = '注册验证';


$sys_langs['emailverify'] = '邮件验证';
$sys_langs['emailverify_err'] = '验证码不正确!';

$sys_langs['clickforgetback'] = '请点击以下链接重新设置密码:';
$sys_langs['getbackneedverify'] = '确认重设密码的邮件已发送到您的信箱, 请查收!';
$sys_langs['newpassword'] = '您的新密码';
$sys_langs['newpasswordnote'] = '新密码已发送到您的邮箱, 请查收!';


$sys_langs['savefinished'] = '数据保存更新成功!';

$sys_langs['nocategory'] = '上传图片前请先添加图片分类目录!';
$sys_langs['notsupportgd2'] = '服务器PHP环境不支持GD2库, 无法上传图片文件!';
$sys_langs['nodirectory'] = '保存图片的文件夹不存在!';
$sys_langs['notwritable'] = '保存图片的文件夹不可写! - 文件夹属性需改为: 0777';
$sys_langs['errfilesize1'] = '未选择图片文件, 或超过服务器允许上传的文件大小: ';
$sys_langs['errfilesize2'] = '文件大小超过图片目录(//1)限制的大小: ';
$sys_langs['invalidtype'] = '无效的图片文件类型!';

$sys_langs['thanksforpublish'] = '感谢您在本站发表图片!';
$sys_langs['needadmincheck'] = '图片数据已保存, 但需管理员审核后方可公布!';
$sys_langs['clickforview'] = '图片发表成功, 您可以点击以下链接查看您的图片:<BR>';

$sys_langs['nopermissionviewbig'] = '您没有权限查看网站图片的大图!';
$sys_langs['noimage_or_nopermission'] = '图片不存在或您没有限权查看!';
$sys_langs['nopermissiondownload'] = '图片不存在或您没有限权下载!';

$sys_langs['thanksforcomment'] = '感谢您发表评论!';
$sys_langs['needadmincheckc'] = '评论内容已保存, 但需管理员审核后方可公布!';

?>